% Script to load FIR and companion filters for HEPI sensor correction

%% Initialization
ifo = 'S1';
subsys = 'HPI';
chamber = 'HAMX';

model_name = [ifo,subsys,chamber];

[filenames, dcuid, found_files] = get_filenames(model_name, 'verbose');

userapps_path = '/opt/rtcds/userapps/cds_user_apps/trunk/';

%% Create FIR and companion filters

% create the FIR file
install_FIR_filter(model_name);

% add the IIR filters to the foton file
load([userapps_path,'hpi/common/filterfiles/',...
    'HPI_2k_FIR_companion_filters_20120530.mat']);
this_senscor_set = individualize(FIR_2k_filter_struct_2012_05_30, chamber);
autoquack(filenames.foton, this_senscor_set);
